com.lowagie.toolbox.arguments

## Class BitsetArgument

- java.lang.Object
- - com.lowagie.toolbox.arguments.AbstractArgument
  - - com.lowagie.toolbox.arguments.BitsetArgument

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.beans.PropertyChangeListener, java.util.EventListener

      public class BitsetArgument
      extends AbstractArgument

  Argument that results in a set of "1" and "0" values.
  Since:
    2.1.1 (imported from itexttoolbox project)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javax.swing.JCheckBox[]` | `options` These are the different options that can be true or false.

    - ### Fields inherited from class com.lowagie.toolbox.arguments.AbstractArgument

      `description, name, pcs, tool, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BitsetArgument(AbstractTool tool, java.lang.String name, java.lang.String description, java.lang.String[] options)` Constructs an BitsetArgument.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent evt)`
    `java.lang.String` | `getUsage()` Give you a String that can be used in a usage description.

    - ### Methods inherited from class com.lowagie.toolbox.arguments.AbstractArgument

      `addPropertyChangeListener, firePropertyChange, getArgument, getDescription, getName, getTool, getValue, propertyChange, removePropertyChangeListener, setDescription, setName, setTool, setValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### options

          private javax.swing.JCheckBox[] options

      These are the different options that can be true or false.

  - ### Constructor Detail

    - #### BitsetArgument

          public BitsetArgument(AbstractTool tool,
                        java.lang.String name,
                        java.lang.String description,
                        java.lang.String[] options)

      Constructs an BitsetArgument.
      Parameters:
        `tool` - the tool that needs this argument
        `name` - the name of the argument
        `description` - the description of the argument
        `options` - the different options that can be true or false

  - ### Method Detail

    - #### getUsage

          public java.lang.String getUsage()

      Description copied from class: `AbstractArgument`
      Give you a String that can be used in a usage description.
      Overrides:
        `getUsage` in class `AbstractArgument`
      Returns:
        String
      See Also:
        `AbstractArgument.getUsage()`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent evt)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`
      Specified by:
        `actionPerformed` in class `AbstractArgument`
      Parameters:
        `evt` - ActionEvent
      See Also:
        `ActionListener.actionPerformed(java.awt.event.ActionEvent)`